%define pypi_name pyenchant
%define pkg_name  enchant

Name:           python-%{pkg_name}
Version:        3.2.0
Release:        %mkrel 1
Summary:        Python bindings for Enchant spellchecking library
Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/pyenchant
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  hunspell-en

%description
A spellchecking library for Python, based on the Enchant library.

%package -n python3-%{pkg_name}
Summary:        Python3 bindings for Enchant spellchecking library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# For running tests
BuildRequires:  python3dist(nose)
Requires:       enchant2
Requires:       pkgconfig(enchant-2)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
A spellchecking library for Python3, based on the Enchant library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled egg-info
rm -rf pyenchant.egg-info/

%build
%py3_build

%install
%py3_install

# Directories used in windows build
rm -rf %{buildroot}%{python3_sitelib}/enchant/lib
rm -rf %{buildroot}%{python3_sitelib}/enchant/share

%check
export LANG=en_US.UTF-8
export LANGUAGE=en_US.UTF-8:en_US:en
export LC_CTYPE=en_US.UTF-8
export LC_ALL=en_US.UTF-8
pushd %{buildroot}%{python3_sitelib}
# There is no dictionary for language C, need to use en_US
nosetests-3
popd

%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pkg_name}/
%{python3_sitelib}/*.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 3.2.0-1.mga8
+ Revision: 1656478
- new version 3.2.0

* Sat Nov 14 2020 guillomovitch <guillomovitch> 3.1.1-2.mga8
+ Revision: 1645919
- add runtime dependency on libenchant-devel, as it seems to be needed on i586 to load underlying C library

* Tue Jun 09 2020 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1591129
- new version: 3.1.1

* Tue Mar 31 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1562638
- new version: 3.0.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-11.mga8
+ Revision: 1535257
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.0.0-10.mga8
+ Revision: 1451705
- rebuild with python 3.8

* Wed Sep 04 2019 wally <wally> 2.0.0-9.mga8
+ Revision: 1437147
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 2.0.0-8.mga8
+ Revision: 1436805
- rebuild for python3.8
- drop python2 support

* Sat Feb 23 2019 wally <wally> 2.0.0-7.mga7
+ Revision: 1369587
- switch to enchant2 (patch from Arch)

* Sat Jan 05 2019 wally <wally> 2.0.0-6.mga7
+ Revision: 1349283
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-5.mga7
+ Revision: 1288795
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 kekepower <kekepower> 2.0.0-4.mga7
+ Revision: 1223115
- Don't use enchant2

* Sat Apr 28 2018 pterjan <pterjan> 2.0.0-3.mga7
+ Revision: 1222970
- Upload again now that enchant2 should be fixed
+ kekepower <kekepower>
- Bump rel for rebuild

* Fri Apr 27 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1222904
- Update to version 2.0.0
- Rename python-enchant to python2-enchant
- Use python_provide
- Update BRs

* Fri Sep 15 2017 tv <tv> 1.6.10-1.mga7
+ Revision: 1154058
- new release

* Fri Sep 15 2017 tv <tv> 1.6.6-5.mga7
+ Revision: 1154024
- fix SRPM creation due to bad %%py[23]_install call

* Sat Aug 05 2017 pterjan <pterjan> 1.6.6-4.mga7
+ Revision: 1135412
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 1.6.6-3.mga6
+ Revision: 1007131
- do not remove *.egg-info files thus fixing missing pythoneggs provides
- use more new python macros

* Sat Feb 20 2016 umeabot <umeabot> 1.6.6-2.mga6
+ Revision: 971833
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 philippem <philippem> 1.6.6-1.mga6
+ Revision: 893045
- update to 1.6.6

* Thu Oct 08 2015 tv <tv> 1.6.5-11.mga6
+ Revision: 887505
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6.5-10.mga5
+ Revision: 741976
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.5-9.mga5
+ Revision: 728395
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.5-8.mga5
+ Revision: 688018
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.5-7.mga5
+ Revision: 628628
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.6.5-6.mga4
+ Revision: 533098
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 philippem <philippem> 1.6.5-5.mga4
+ Revision: 471672
- fix fail build because python-distribute got merged into python-setuptools

* Sat Jul 06 2013 wally <wally> 1.6.5-4.mga4
+ Revision: 450737
- fix URL

* Sat Jul 06 2013 wally <wally> 1.6.5-3.mga4
+ Revision: 450729
- build python3 version too
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 1.6.5-2.mga3
+ Revision: 378801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 02 2011 ahmad <ahmad> 1.6.5-1.mga1
+ Revision: 62734
- update to 1.6.5
- imported package python-enchant


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.5.3-2mdv2011.0
+ Revision: 590146
- rebuild for python 2.7

* Wed Nov 11 2009 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 464478
- new version 1.5.3

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-4mdv2010.0
+ Revision: 442103
- rebuild

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.4.0-3mdv2009.1
+ Revision: 318717
- fix str fmt
- rebuild for new python

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 269022
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 05 2008 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 215211
- New version 1.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 98308
- BR python-setuptools

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 98302
- import fedora package
- Created package structure for python-enchant.

